Subject: Re: [ANNOUNCE] Git 1.7.10-rc0

From: Jakub Narebski <[email-masked]>
Date: Thu, 08 Mar 2012 02:42:49 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> Updates since v1.7.9
> --------------------
> UI, Workflows & Features
[...]
>  * "gitweb" allows intermediate entries in the directory hierarchy
>    that leads to a projects to be clicked, which in turn shows the
>    list of projects inside that directory.
> 
>  * "gitweb" learned to read various pieces of information for the
>    repositories lazily, instead of reading everything that could be
>    needed (including the ones that are not necessary for a specific
>    task).
> 
>  * Project search in "gitweb" shows the substring that matched in the
>    project name and description highlighted.

[...]
> Fixes since v1.7.9
> ------------------
> 
> Unless otherwise noted, all the fixes since v1.7.9 in the maintenance
> releases are contained in this release (see release notes to them for
> details).
[...]

>  * "gitweb" used to drop warnings in the log file when "heads" view is
>    accessed in a repository whose HEAD does not point at a valid
>    branch.

It looks like fix for fixed-string project search is missing.

Nb. I don't know if it is worth mentioning, and if it should be in
"Fixes" or "Updates", but gitweb now supports utf-8 search, anc checks
regular expression for validity before using it in search.

-- 
Jakub Narebski